MessagePanel (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.panel.MessagePanel class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.panel
Class MessagePanel

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.hyperic.ui.tapestry.components.panel.MessagePanel

All Implemented Interfaces:
  org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

    public abstract class MessagePanel

extends org.apache.tapestry.BaseComponent

Field Summary
`static java.lang.String` | `MSG_CONFIRM`
`static java.lang.String` | `MSG_ERROR`
`static java.lang.String` | `MSG_ICON_LARGE`
`static java.lang.String` | `MSG_ICON_SMALL`
`static java.lang.String` | `MSG_INFO`
`static java.lang.String` | `MSG_WARING`

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`MessagePanel()`

Method Summary
`abstract boolean` | `getIsHidden()` Should the panel be hidden on initial render?
`abstract boolean` | `getIsLargeIcon()` Small (16x16) or Large (32x32) icon
`abstract boolean` | `getIsRaw()` Should the message be alowed to contain html
`abstract java.lang.String` | `getMessage()` The message to display
`abstract java.lang.String` | `getNodeId()` The dom node ID.
`java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getType()` The type of message
`abstract void` | `setIsHidden(boolean defaultHidden)`
`abstract void` | `setIsLargeIcon(boolean isLargeIcon)`
`abstract void` | `setIsRaw(boolean raw)`
`abstract void` | `setMessage(java.lang.String message)`
`abstract void` | `setNodeId(java.lang.String nodeId)`
`abstract void` | `setType(java.lang.String type)`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers, renderComponent`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, cleanupAfterRender, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Field Detail

### MSG_ERROR

    public static final java.lang.String MSG_ERROR

See Also:
  Constant Field Values

### MSG_WARING

    public static final java.lang.String MSG_WARING

See Also:
  Constant Field Values

### MSG_INFO

    public static final java.lang.String MSG_INFO

See Also:
  Constant Field Values

### MSG_CONFIRM

    public static final java.lang.String MSG_CONFIRM

See Also:
  Constant Field Values

### MSG_ICON_SMALL

    public static final java.lang.String MSG_ICON_SMALL

See Also:
  Constant Field Values

### MSG_ICON_LARGE

    public static final java.lang.String MSG_ICON_LARGE

See Also:
  Constant Field Values

Constructor Detail

### MessagePanel

    public MessagePanel()

Method Detail

### getMessage

    @Parameter(name="message",
               required=true)
    public abstract java.lang.String getMessage()

  The message to display

### setMessage

    public abstract void setMessage(java.lang.String message)

### getType

    @Parameter(name="type",
               defaultValue="@org.hyperic.ui.tapestry.components.panel.MessagePanel@MSG_ERROR")
    public abstract java.lang.String getType()

  The type of message

### setType

    public abstract void setType(java.lang.String type)

### getIsRaw

    @Parameter(name="raw",
               defaultValue="false")
    public abstract boolean getIsRaw()

  Should the message be alowed to contain html

### setIsRaw

    public abstract void setIsRaw(boolean raw)

### getNodeId

    @Parameter(name="nodeID",
               defaultValue="messagePanel")
    public abstract java.lang.String getNodeId()

  The dom node ID. Specified to differentiate between panels

### setNodeId

    public abstract void setNodeId(java.lang.String nodeId)

### getIsHidden

    @Parameter(name="hidden")
    public abstract boolean getIsHidden()

  Should the panel be hidden on initial render?

### setIsHidden

    public abstract void setIsHidden(boolean defaultHidden)

### getIsLargeIcon

    @Parameter(name="iconSize",
               defaultValue="small")
    public abstract boolean getIsLargeIcon()

  Small (16x16) or Large (32x32) icon

### setIsLargeIcon

    public abstract void setIsLargeIcon(boolean isLargeIcon)

### getStyle

    public java.lang.String getStyle()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.